Resend deposit callback
curl --request POST \
--url https://api.sandbox.pawapay.io/deposits/resend-callback \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"depositId": "f4401bd2-1568-4140-bf2d-eb77d2b2b639"
}
'import requests
url = "https://api.sandbox.pawapay.io/deposits/resend-callback"
payload = { "depositId": "f4401bd2-1568-4140-bf2d-eb77d2b2b639" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({depositId: 'f4401bd2-1568-4140-bf2d-eb77d2b2b639'})
};
fetch('https://api.sandbox.pawapay.io/deposits/resend-callback', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"depositId": "f4401bd2-1568-4140-bf2d-eb77d2b2b639",
"status": "ACCEPTED"
}Deposits
Resend deposit callback
POST
/
deposits
/
resend-callback
Resend deposit callback
Resends the callback for a deposit to your configured callback URL. The deposit must have reached a final state.
Callbacks can only be resent for deposits initiated within the last 90 days.
The status and details of older deposits remain available through the check deposit status endpoint.
Please ensure your implementation of callback handling follows the guidelines in Handling callbacks.
Authorizations
See Authentication.
Body
application/json
A UUIDv4 based ID previously specified by you, that uniquely identifies the deposit.
Required string length:
36Example:
"f4401bd2-1568-4140-bf2d-eb77d2b2b639"
Response
Request has been accepted for processing by PawaPay
A UUIDv4 based ID specified by you, that uniquely identifies the deposit.
Required string length:
36Example:
"f4401bd2-1568-4140-bf2d-eb77d2b2b639"
Possible initiation statuses:
ACCEPTED- The manual action request has been accepted by PawaPay for processing.REJECTED- The manual action request has been rejected by PawaPay. See rejectionReason for details.FAILED- The manual action request has failed during submitting for processing due to internal reasons.
Available options:
ACCEPTED, REJECTED, FAILED Human-readable explanation why request has been rejected
Example:
"Deposit with ID \\#f4401bd2-1568-4140-bf2d-eb77d2b2b639 not found"
Was this page helpful?